package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.FormatType;
import jp.sourceforge.shovel.MethodType;

public interface IUsersForm {
    String getFormat();
    void setFormat(String format);
    FormatType getFormatType();
    void setFormatType(FormatType formatType);
    String getKeyword();
    void setKeyword(String keyword);
    String getMethod();
    void setMethod(String method);
    MethodType getMethodType();
    void setMethodType(MethodType methodType);
    boolean isPartial();
    void setPartial(boolean partial);
    int getPage();
    void setPage(int page);
    int getCount();
    void setCount(int count);
}
